NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::EdgeBlendBuilder Class Reference

Represents a Edge Blend builder. More...

Inheritance diagram for NXOpen::Features::EdgeBlendBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Conic { ConicBoundaryPlusCenter, ConicBoundaryPlusRho, ConicCenterPlusRho }
 This enum represents the Conic option. More...
 
enum  FaceContinuity { FaceContinuityTangent, FaceContinuityCurvature }
 The Blend Face Continuity. More...
 
enum  OrderOfBlending { OrderOfBlendingConvexFirst, OrderOfBlendingConcaveFirst }
 This enum represents the order of Blending. More...
 
enum  Overlap { OverlapMaintainAndIntersect, OverlapDifferentConvexityRollOver, OverlapAnyConvexityRollOver }
 This enum represents the Overlap resolution options for Edge Blend. More...
 
enum  Rhotype { RhotypeRelative, RhotypeAbsolute }
 This enum represents the rho type for conic section blend. More...
 
enum  Section { SectionCircular, SectionConic }
 This enum represents the Section option. More...
 
enum  Setback { SetbackIncludeWithCorner, SetbackSeparateFromCorner }
 This enum represents the Setback option. More...
 

Public Member Functions

int AddChainset (NXOpen::ScCollector *collector, const NXString &radius)
 Add an edge blend chainset to the edge blend. More...
 
int AddChainset (NXOpen::ScCollector *collector, const char *radius)
 Add an edge blend chainset to the edge blend. More...
 
int AddChainset (NXOpen::ScCollector *collector, NXOpen::Features::EdgeBlendBuilder::Section sectionType, NXOpen::Features::EdgeBlendBuilder::Conic conicMethod, NXOpen::Features::EdgeBlendBuilder::Rhotype rhoType, const NXString &radius, const NXString &center, const NXString &rho)
 Add an edge blend chainset to the edge blend. More...
 
int AddChainset (NXOpen::ScCollector *collector, NXOpen::Features::EdgeBlendBuilder::Section sectionType, NXOpen::Features::EdgeBlendBuilder::Conic conicMethod, NXOpen::Features::EdgeBlendBuilder::Rhotype rhoType, const char *radius, const char *center, const char *rho)
 Add an edge blend chainset to the edge blend. More...
 
void AddEdgeChainData (const std::vector< NXOpen::Edge * > &edgeArray, const std::vector< bool > &edgeAlongChainDirectionArray, bool isChainClosed, bool isChainPartOfNetwork)
 Add an edge blend edge chain data to the edge blend
Created in NX11.0.1. More...
 
int AddNewStopshortData (NXOpen::GeometricUtilities::BlendStopshortBuilder *builder)
 Add an edge blend stop short data for an edge in the edge blend. More...
 
void AddPointOnEdgeChainData (const std::vector< NXOpen::Edge * > &edgeArray, double parameterOnChain, bool isArclength, double radius, double centerValue, double rhoValue, NXOpen::Point *smartPoint, bool isExternal)
 Add a point on edge chain data to the edge blend
Created in NX11.0.1. More...
 
int AddSetbackData (const std::vector< NXOpen::Edge * > &edgeArray, const std::vector< bool > &fromStart, const std::vector< NXString > &distance)
 Add an edge blend setback data for an edge in the edge blend. More...
 
int AddStopshortData (NXOpen::Edge *edge, bool fromStart, const NXString &distance)
 Add an edge blend stop short data for an edge in the edge blend. More...
 
int AddStopshortData (NXOpen::Edge *edge, bool fromStart, const char *distance)
 Add an edge blend stop short data for an edge in the edge blend. More...
 
int AddVariablePointData (NXOpen::Edge *edge, const NXString &parameter, const NXString &radius, const NXString &centerValue, const NXString &rhoValue, NXOpen::Point *smartPoint, bool isExternal, bool isArclength)
 Add an edge blend variable radius data for an edge in the edge blend. More...
 
int AddVariablePointData (NXOpen::Edge *edge, const char *parameter, const char *radius, const char *centerValue, const char *rhoValue, NXOpen::Point *smartPoint, bool isExternal, bool isArclength)
 Add an edge blend variable radius data for an edge in the edge blend. More...
 
int AddVariableRadiusData (NXOpen::Edge *edge, double parameter, const NXString &radius, NXOpen::Point *smartPoint, bool isExternal)
 Add an edge blend variable radius data for an edge in the edge blend. More...
 
int AddVariableRadiusData (NXOpen::Edge *edge, double parameter, const char *radius, NXOpen::Point *smartPoint, bool isExternal)
 Add an edge blend variable radius data for an edge in the edge blend. More...
 
int AddVariableRadiusDataNew (NXOpen::Edge *edge, const NXString &parameter, const NXString &radius, NXOpen::Point *smartPoint, bool isExternal)
 Add an edge blend variable radius data for an edge in the edge blend Note: This ja will always create arclength parameter. More...
 
int AddVariableRadiusDataNew (NXOpen::Edge *edge, const char *parameter, const char *radius, NXOpen::Point *smartPoint, bool isExternal)
 Add an edge blend variable radius data for an edge in the edge blend Note: This ja will always create arclength parameter. More...
 
int AddVariableRadiusDataNew (NXOpen::Edge *edge, const NXString &parameter, const NXString &radius, NXOpen::Point *smartPoint, bool isExternal, bool isArclength)
 Add an edge blend variable radius data for an edge in the edge blend. More...
 
int AddVariableRadiusDataNew (NXOpen::Edge *edge, const char *parameter, const char *radius, NXOpen::Point *smartPoint, bool isExternal, bool isArclength)
 Add an edge blend variable radius data for an edge in the edge blend. More...
 
bool AllInstancesOption ()
 Returns the blend all instances option. More...
 
NXOpen::Features::EdgeBlendBuilder::FaceContinuity BlendFaceContinuity ()
 Returns the Blend Face Continuity option
Created in NX10.0.0. More...
 
NXOpen::Features::EdgeBlendBuilder::OrderOfBlending BlendOrder ()
 Returns the order of blending for edge blend
Created in NX4.0.0. More...
 
NXOpen::ScCollectorCliffEdges ()
 Returns the forced cliff edges for edge blend
Created in NX5.0.0. More...
 
bool ConvexConcaveY ()
 Returns the Special blend at convex / concave Y option. More...
 
void EditVariablePointData (NXOpen::Edge *edge, int vrIndex, const NXString &parameter, const NXString &radius, const NXString &centerValue, const NXString &rhoValue, NXOpen::Point *smartPoint, bool isExternal, bool isArclength)
 Edit an edge blend variable radius data for an edge in the edge blend
Created in NX8.0.0. More...
 
void EditVariablePointData (NXOpen::Edge *edge, int vrIndex, const char *parameter, const char *radius, const char *centerValue, const char *rhoValue, NXOpen::Point *smartPoint, bool isExternal, bool isArclength)
 Edit an edge blend variable radius data for an edge in the edge blend
Created in NX8.0.0. More...
 
void EditVariableRadiusData (NXOpen::Edge *edge, int vrIndex, double parameter, const NXString &radius, NXOpen::Point *smartPoint, bool isExternal)
 Edit an edge blend variable radius data for an edge in the edge blend
More...
 
void EditVariableRadiusData (NXOpen::Edge *edge, int vrIndex, double parameter, const char *radius, NXOpen::Point *smartPoint, bool isExternal)
 Edit an edge blend variable radius data for an edge in the edge blend
More...
 
void EditVariableRadiusDataNew (NXOpen::Edge *edge, int vrIndex, const NXString &parameter, const NXString &radius, NXOpen::Point *smartPoint, bool isExternal)
 Edit an edge blend variable radius data for an edge in the edge blend
Created in NX6.0.0. More...
 
void EditVariableRadiusDataNew (NXOpen::Edge *edge, int vrIndex, const char *parameter, const char *radius, NXOpen::Point *smartPoint, bool isExternal)
 Edit an edge blend variable radius data for an edge in the edge blend
Created in NX6.0.0. More...
 
void EditVariableRadiusDataNew (NXOpen::Edge *edge, int vrIndex, const NXString &parameter, const NXString &radius, NXOpen::Point *smartPoint, bool isExternal, bool isArclength)
 Edit an edge blend variable radius data for an edge in the edge blend
Created in NX6.0.0. More...
 
void EditVariableRadiusDataNew (NXOpen::Edge *edge, int vrIndex, const char *parameter, const char *radius, NXOpen::Point *smartPoint, bool isExternal, bool isArclength)
 Edit an edge blend variable radius data for an edge in the edge blend
Created in NX6.0.0. More...
 
void GetChainset (int csIndex, NXOpen::ScCollector **collector, NXOpen::Expression **radius)
 Get collector and radius for an edge blend chainset given the index of the chainset
Created in NX4.0.0. More...
 
void GetChainsetAndSectionValue (int csIndex, NXOpen::ScCollector **collector, NXOpen::Features::EdgeBlendBuilder::Section *sectionType, NXOpen::Features::EdgeBlendBuilder::Conic *conicMethod, NXOpen::Features::EdgeBlendBuilder::Rhotype *rhoType, NXOpen::Expression **radius, NXOpen::Expression **centerValueTAG, NXOpen::Expression **rhoValueTAG)
 Get collector, radius and section types for an edge blend chainset given the index of the chainset
Created in NX10.0.3. More...
 
void GetChainsetAndStatus (int csIndex, NXOpen::ScCollector **collector, NXOpen::Expression **radius, bool *isValid)
 Get collector, radius and validity status for an edge blend chainset given the index of the chainset
Created in NX5.0.0. More...
 
int GetChainsetIndex (NXOpen::ScCollector *collector)
 Get the index of edge blend chainset given the collector. More...
 
NXOpen::GeometricUtilities::BlendStopshortBuilderGetNewStopshortData (int ssIndex)
 Get an edge blend stop short data for the index provided. More...
 
int GetNumberOfValidChainsets ()
 Get the number of valid chainsets. More...
 
std::vector< NXOpen::Edge * > GetSetbackData (int sbIndex, std::vector< bool > &fromStart, std::vector< NXOpen::Expression * > &distanceExp)
 Get an edge blend setback data for the index provided. More...
 
NXOpen::ExpressionGetStopshortData (int ssIndex, NXOpen::Edge **edge, bool *fromStart)
 Get an edge blend stop short data for the index provided. More...
 
std::vector< double > GetVariableRadiusData (NXOpen::Edge *edge, std::vector< NXOpen::Expression * > &radiiExp, std::vector< NXOpen::Point * > &smartPoints, std::vector< bool > &isExternalFlagArray)
 Get all the variable radii data for an edge in the edge blend. More...
 
void GetVariableRadiusDataNew (NXOpen::Edge *edge, std::vector< NXOpen::Expression * > &parameterExp, std::vector< NXOpen::Expression * > &radiiExp, std::vector< NXOpen::Point * > &smartPoints, std::vector< bool > &isExternalFlagArray)
 Get all the variable radii data for an edge in the edge blend
Created in NX6.0.0. More...
 
bool LimitFailingAreas ()
 Returns the Limit Failing Areas option. More...
 
NXOpen::GeometricUtilities::BlendLimitsDataLimitsListData ()
 Returns the limits list
Created in NX5.0.0. More...
 
bool MoveSharpEdge ()
 Returns the Maintain blend and move sharp edges option. More...
 
NXOpen::ScCollectorNonCliffEdges ()
 Returns the prohibited cliff edges for edge blend
Created in NX5.0.0. More...
 
NXOpen::Features::EdgeBlendBuilder::Overlap OverlapOption ()
 Returns the overlap resolution for edge blend
Created in NX4.0.0. More...
 
bool PatchComplexGeometryAreas ()
 Returns the Patch Areas option. More...
 
void RemoveChainset (int csIndex)
 Delete an edge blend chainset from the edge blend. More...
 
void RemoveChainsetByCollector (NXOpen::ScCollector *collector)
 Delete an edge blend chainset from the edge blend. More...
 
void RemoveEdgeChainAndPointOnEdgeChainData ()
 Remove all existing edge chain data and point on edge chain data
Created in NX11.0.1. More...
 
void RemoveNewStopshortData (NXOpen::GeometricUtilities::BlendStopshortBuilder *builder)
 Remove an edge blend stop short corresponding to a BlendStopshortBuilder
Created in NX5.0.0. More...
 
bool RemoveSelfIntersection ()
 Returns the Remove self-intersection option. More...
 
void RemoveSetbackData (int sbIndex)
 Remove an edge blend setback data for an edge in the edge blend
Created in NX4.0.0. More...
 
void RemoveStopshortData (NXOpen::Edge *edge, bool fromStart)
 Remove an edge blend stop short data for an edge
More...
 
void RemoveStopshortData (int ssIndex)
 Remove an edge blend stop short data for the index indicated
More...
 
void RemoveStopshortDataByType (NXOpen::Edge *edge, bool fromStart, NXOpen::GeometricUtilities::BlendStopshortBuilder::Choices type)
 Remove the stop short from an edge, given its type and location
Created in NX5.0.0. More...
 
void RemoveVariableRadiusData (NXOpen::Edge *edge, double parameter)
 Remove variable radius data on an edge by the parameter value of the point on the edge
Created in NX4.0.0. More...
 
void RemoveVariableRadiusData (NXOpen::Edge *edge)
 Remove all variable radius datas on an edge
Created in NX4.0.0. More...
 
void RemoveVariableRadiusDataByIndex (NXOpen::Edge *edge, int index)
 Remove variable radius data on an edge by the index into the point array on the edge
Created in NX4.0.0. More...
 
bool RollOntoEdge ()
 Returns the Roll onto edges option. More...
 
bool RollOverSmoothEdge ()
 Returns the Roll over smooth edges option. More...
 
bool SegmentBlendFaces ()
 Returns the Segment blend to match face segments option
Created in NX10.0.0. More...
 
void SetAllInstancesOption (bool optionValue)
 Sets the blend all instances option. More...
 
NXOpen::Features::EdgeBlendBuilder::Setback SetbackOption ()
 Returns the setback option for edge blend
Created in NX4.0.0. More...
 
void SetBlendFaceContinuity (NXOpen::Features::EdgeBlendBuilder::FaceContinuity optionValue)
 Sets the Blend Face Continuity option
Created in NX10.0.0. More...
 
void SetBlendOrder (NXOpen::Features::EdgeBlendBuilder::OrderOfBlending blendOrder)
 Sets the order of blending for edge blend
Created in NX4.0.0. More...
 
void SetCliffEdges (NXOpen::ScCollector *cliffEdgeCollector)
 Sets the forced cliff edges for edge blend
Created in NX5.0.0. More...
 
void SetConvexConcaveY (bool optionValue)
 Sets the Special blend at convex / concave Y option. More...
 
void SetLimitFailingAreas (bool optionValue)
 Sets the Limit Failing Areas option. More...
 
void SetMoveSharpEdge (bool optionValue)
 Sets the Maintain blend and move sharp edges option. More...
 
void SetNonCliffEdges (NXOpen::ScCollector *nonCliffEdgeCollector)
 Sets the prohibited cliff edges for edge blend
Created in NX5.0.0. More...
 
void SetOverlapOption (NXOpen::Features::EdgeBlendBuilder::Overlap overlapOption)
 Sets the overlap resolution for edge blend
Created in NX4.0.0. More...
 
void SetPatchComplexGeometryAreas (bool optionValue)
 Sets the Patch Areas option. More...
 
void SetRemoveSelfIntersection (bool optionValue)
 Sets the Remove self-intersection option. More...
 
void SetRollOntoEdge (bool optionValue)
 Sets the Roll onto edges option. More...
 
void SetRollOverSmoothEdge (bool optionValue)
 Sets the Roll over smooth edges option. More...
 
void SetSegmentBlendFaces (bool optionValue)
 Sets the Segment blend to match face segments option
Created in NX10.0.0. More...
 
void SetSetbackOption (NXOpen::Features::EdgeBlendBuilder::Setback setbackOption)
 Sets the setback option for edge blend
Created in NX4.0.0. More...
 
void SetTolerance (double tolerance)
 Sets the tolerance of a variable blend. More...
 
void SetTrimmingOption (bool optionValue)
 Sets the trimming option. More...
 
void SetZeroSlopeRadiusFunctionAtChainEnds (bool optionValue)
 Sets the zero slope radius function at chain ends option
Created in NX10.0.1. More...
 
double Tolerance ()
 Returns the tolerance of a variable blend. More...
 
bool TrimmingOption ()
 Returns the trimming option. More...
 
bool ZeroSlopeRadiusFunctionAtChainEnds ()
 Returns the zero slope radius function at chain ends option
Created in NX10.0.1. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Edge Blend builder.


To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateEdgeBlendBuilder
Default values.

Property Value

TrimmingOption

False


Created in NX4.0.0.

Member Enumeration Documentation

This enum represents the Conic option.

Enumerator
ConicBoundaryPlusCenter 

boundary plus center

ConicBoundaryPlusRho 

boundary plus rho

ConicCenterPlusRho 

center plus rho

The Blend Face Continuity.

Enumerator
FaceContinuityTangent 

tangent

FaceContinuityCurvature 

curvature

This enum represents the order of Blending.

Enumerator
OrderOfBlendingConvexFirst 

Convex first.

OrderOfBlendingConcaveFirst 

Concave first.

This enum represents the Overlap resolution options for Edge Blend.

Enumerator
OverlapMaintainAndIntersect 

Maintain Blend and Intersect.

OverlapDifferentConvexityRollOver 

If different convexity,roll over.

OverlapAnyConvexityRollOver 

Any convexity,roll over.

This enum represents the rho type for conic section blend.

Enumerator
RhotypeRelative 

relative

RhotypeAbsolute 

absolute

This enum represents the Section option.

Enumerator
SectionCircular 

Default option, circular shaped blends.

SectionConic 

Conical shaped blends.

This enum represents the Setback option.

Enumerator
SetbackIncludeWithCorner 

Include with corner.

SetbackSeparateFromCorner 

Separate from corner.

Member Function Documentation

int NXOpen::Features::EdgeBlendBuilder::AddChainset ( NXOpen::ScCollector collector,
const NXString radius 
)

Add an edge blend chainset to the edge blend.

Returns
Index of chainset, indicating which chainset we are dealing with
Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")
Parameters
collectorThe collector for this edge blend chainset
radiusThe radius of this chain set collector
int NXOpen::Features::EdgeBlendBuilder::AddChainset ( NXOpen::ScCollector collector,
const char *  radius 
)

Add an edge blend chainset to the edge blend.

Returns
Index of chainset, indicating which chainset we are dealing with
Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")
Parameters
collectorThe collector for this edge blend chainset
radiusThe radius of this chain set collector
int NXOpen::Features::EdgeBlendBuilder::AddChainset ( NXOpen::ScCollector collector,
NXOpen::Features::EdgeBlendBuilder::Section  sectionType,
NXOpen::Features::EdgeBlendBuilder::Conic  conicMethod,
NXOpen::Features::EdgeBlendBuilder::Rhotype  rhoType,
const NXString radius,
const NXString center,
const NXString rho 
)

Add an edge blend chainset to the edge blend.

Returns
Index of chainset, indicating which chainset we are dealing with
Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")
Parameters
collectorThe collector for this edge blend chainset
sectionTypeShape specifier for this chainset
conicMethodShape subtype specifier for this chainset
rhoTyperho type for this chain set
radiusThe radius of this chain set collector
centerThe conic center value of this chain set collector if type is Conic
rhoThe conic rho value of this chain set collector if type is Conic
int NXOpen::Features::EdgeBlendBuilder::AddChainset ( NXOpen::ScCollector collector,
NXOpen::Features::EdgeBlendBuilder::Section  sectionType,
NXOpen::Features::EdgeBlendBuilder::Conic  conicMethod,
NXOpen::Features::EdgeBlendBuilder::Rhotype  rhoType,
const char *  radius,
const char *  center,
const char *  rho 
)

Add an edge blend chainset to the edge blend.

Returns
Index of chainset, indicating which chainset we are dealing with
Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")
Parameters
collectorThe collector for this edge blend chainset
sectionTypeShape specifier for this chainset
conicMethodShape subtype specifier for this chainset
rhoTyperho type for this chain set
radiusThe radius of this chain set collector
centerThe conic center value of this chain set collector if type is Conic
rhoThe conic rho value of this chain set collector if type is Conic
void NXOpen::Features::EdgeBlendBuilder::AddEdgeChainData ( const std::vector< NXOpen::Edge * > &  edgeArray,
const std::vector< bool > &  edgeAlongChainDirectionArray,
bool  isChainClosed,
bool  isChainPartOfNetwork 
)

Add an edge blend edge chain data to the edge blend
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
edgeArrayArray of edges that are used by the edge chain
edgeAlongChainDirectionArrayArray of chain edge along chain direction flags
isChainClosedis the edge chain closed or not
isChainPartOfNetworkis the edge chain part of chain network (junction) or not
int NXOpen::Features::EdgeBlendBuilder::AddNewStopshortData ( NXOpen::GeometricUtilities::BlendStopshortBuilder builder)

Add an edge blend stop short data for an edge in the edge blend.

Returns
Index of where stop short data item is created.
Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")
Parameters
builderthe Stopshort Data
void NXOpen::Features::EdgeBlendBuilder::AddPointOnEdgeChainData ( const std::vector< NXOpen::Edge * > &  edgeArray,
double  parameterOnChain,
bool  isArclength,
double  radius,
double  centerValue,
double  rhoValue,
NXOpen::Point smartPoint,
bool  isExternal 
)

Add a point on edge chain data to the edge blend
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
edgeArrayArray of edges that are used by the edge chain
parameterOnChainThe variable radius point parameter along the chain. If isArcLength is false, this value is a percentage value
isArclengthFlag indicating whether parameter is arclength or percentage arclength
radiusThe radius at this point on the edge.
centerValueThe conic center value at this point on the edge.
rhoValueThe conic rho value at this point on the edge.
smartPointSmart Point defining the location of this variable radius
isExternalFlag indicating whether this point is external to blend
int NXOpen::Features::EdgeBlendBuilder::AddSetbackData ( const std::vector< NXOpen::Edge * > &  edgeArray,
const std::vector< bool > &  fromStart,
const std::vector< NXString > &  distance 
)

Add an edge blend setback data for an edge in the edge blend.

Returns
Index of where setback data item is created.
Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")
Parameters
edgeArrayArray of Edge collector tags that are used by the setback
fromStartif true, then the setback is defined at the start vertex. Otherwise, it is defined at the end vertex. There is one for each input edge.
distanceArray of distances
int NXOpen::Features::EdgeBlendBuilder::AddStopshortData ( NXOpen::Edge edge,
bool  fromStart,
const NXString distance 
)

Add an edge blend stop short data for an edge in the edge blend.

Returns
Index of where stop short data item is created.
Deprecated:
Deprecated in NX5.0.0. Use Features::EdgeBlendBuilder::AddNewStopshortData instead.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to add stop short data on
fromStartif true, then the stopshort is defined at the start vertex. Otherwise, it is defined at the end vertex.
distanceThe distance for the stopshort on the edge.
int NXOpen::Features::EdgeBlendBuilder::AddStopshortData ( NXOpen::Edge edge,
bool  fromStart,
const char *  distance 
)

Add an edge blend stop short data for an edge in the edge blend.

Returns
Index of where stop short data item is created.
Deprecated:
Deprecated in NX5.0.0. Use Features::EdgeBlendBuilder::AddNewStopshortData instead.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to add stop short data on
fromStartif true, then the stopshort is defined at the start vertex. Otherwise, it is defined at the end vertex.
distanceThe distance for the stopshort on the edge.
int NXOpen::Features::EdgeBlendBuilder::AddVariablePointData ( NXOpen::Edge edge,
const NXString parameter,
const NXString radius,
const NXString centerValue,
const NXString rhoValue,
NXOpen::Point smartPoint,
bool  isExternal,
bool  isArclength 
)

Add an edge blend variable radius data for an edge in the edge blend.

Returns
Index of where variable radius data item is created
Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")
Parameters
edgeEdge to add stop short data on
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
centerValueThe conic center value at this point on the edge.
rhoValueThe conic rho value at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
isArclengthFlag indicating whether parameter is arclength or not
int NXOpen::Features::EdgeBlendBuilder::AddVariablePointData ( NXOpen::Edge edge,
const char *  parameter,
const char *  radius,
const char *  centerValue,
const char *  rhoValue,
NXOpen::Point smartPoint,
bool  isExternal,
bool  isArclength 
)

Add an edge blend variable radius data for an edge in the edge blend.

Returns
Index of where variable radius data item is created
Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")
Parameters
edgeEdge to add stop short data on
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
centerValueThe conic center value at this point on the edge.
rhoValueThe conic rho value at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
isArclengthFlag indicating whether parameter is arclength or not
int NXOpen::Features::EdgeBlendBuilder::AddVariableRadiusData ( NXOpen::Edge edge,
double  parameter,
const NXString radius,
NXOpen::Point smartPoint,
bool  isExternal 
)

Add an edge blend variable radius data for an edge in the edge blend.

Returns
Index of where variable radius data item is created
Deprecated:
Deprecated in NX6.0.0. Use Features::EdgeBlendBuilder::AddVariableRadiusDataNew instead.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to add stop short data on
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
int NXOpen::Features::EdgeBlendBuilder::AddVariableRadiusData ( NXOpen::Edge edge,
double  parameter,
const char *  radius,
NXOpen::Point smartPoint,
bool  isExternal 
)

Add an edge blend variable radius data for an edge in the edge blend.

Returns
Index of where variable radius data item is created
Deprecated:
Deprecated in NX6.0.0. Use Features::EdgeBlendBuilder::AddVariableRadiusDataNew instead.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to add stop short data on
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
int NXOpen::Features::EdgeBlendBuilder::AddVariableRadiusDataNew ( NXOpen::Edge edge,
const NXString parameter,
const NXString radius,
NXOpen::Point smartPoint,
bool  isExternal 
)

Add an edge blend variable radius data for an edge in the edge blend Note: This ja will always create arclength parameter.

Returns
Index of where variable radius data item is created
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")
Parameters
edgeEdge to add stop short data on
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
int NXOpen::Features::EdgeBlendBuilder::AddVariableRadiusDataNew ( NXOpen::Edge edge,
const char *  parameter,
const char *  radius,
NXOpen::Point smartPoint,
bool  isExternal 
)

Add an edge blend variable radius data for an edge in the edge blend Note: This ja will always create arclength parameter.

Returns
Index of where variable radius data item is created
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")
Parameters
edgeEdge to add stop short data on
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
int NXOpen::Features::EdgeBlendBuilder::AddVariableRadiusDataNew ( NXOpen::Edge edge,
const NXString parameter,
const NXString radius,
NXOpen::Point smartPoint,
bool  isExternal,
bool  isArclength 
)

Add an edge blend variable radius data for an edge in the edge blend.

Returns
Index of where variable radius data item is created
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")
Parameters
edgeEdge to add stop short data on
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
isArclengthFlag indicating whether parameter is arclength or not
int NXOpen::Features::EdgeBlendBuilder::AddVariableRadiusDataNew ( NXOpen::Edge edge,
const char *  parameter,
const char *  radius,
NXOpen::Point smartPoint,
bool  isExternal,
bool  isArclength 
)

Add an edge blend variable radius data for an edge in the edge blend.

Returns
Index of where variable radius data item is created
Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")
Parameters
edgeEdge to add stop short data on
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
isArclengthFlag indicating whether parameter is arclength or not
bool NXOpen::Features::EdgeBlendBuilder::AllInstancesOption ( )

Returns the blend all instances option.


Created in NX4.0.0.

License requirements : None

NXOpen::Features::EdgeBlendBuilder::FaceContinuity NXOpen::Features::EdgeBlendBuilder::BlendFaceContinuity ( )

Returns the Blend Face Continuity option
Created in NX10.0.0.



License requirements : None

NXOpen::Features::EdgeBlendBuilder::OrderOfBlending NXOpen::Features::EdgeBlendBuilder::BlendOrder ( )

Returns the order of blending for edge blend
Created in NX4.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::EdgeBlendBuilder::CliffEdges ( )

Returns the forced cliff edges for edge blend
Created in NX5.0.0.



License requirements : None

bool NXOpen::Features::EdgeBlendBuilder::ConvexConcaveY ( )

Returns the Special blend at convex / concave Y option.


Created in NX4.0.0.

License requirements : None

void NXOpen::Features::EdgeBlendBuilder::EditVariablePointData ( NXOpen::Edge edge,
int  vrIndex,
const NXString parameter,
const NXString radius,
const NXString centerValue,
const NXString rhoValue,
NXOpen::Point smartPoint,
bool  isExternal,
bool  isArclength 
)

Edit an edge blend variable radius data for an edge in the edge blend
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to add stop short data on
vrIndexIndex of what variable radius data item to edit
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
centerValueThe conic center value at this point on the edge.
rhoValueThe conic center value at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
isArclengthFlag indicating whether the parameter is arclength or not
void NXOpen::Features::EdgeBlendBuilder::EditVariablePointData ( NXOpen::Edge edge,
int  vrIndex,
const char *  parameter,
const char *  radius,
const char *  centerValue,
const char *  rhoValue,
NXOpen::Point smartPoint,
bool  isExternal,
bool  isArclength 
)

Edit an edge blend variable radius data for an edge in the edge blend
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to add stop short data on
vrIndexIndex of what variable radius data item to edit
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
centerValueThe conic center value at this point on the edge.
rhoValueThe conic center value at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
isArclengthFlag indicating whether the parameter is arclength or not
void NXOpen::Features::EdgeBlendBuilder::EditVariableRadiusData ( NXOpen::Edge edge,
int  vrIndex,
double  parameter,
const NXString radius,
NXOpen::Point smartPoint,
bool  isExternal 
)

Edit an edge blend variable radius data for an edge in the edge blend

Deprecated:
Deprecated in NX6.0.0.

Use Features::EdgeBlendBuilder::EditVariableRadiusDataNew instead.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to add stop short data on
vrIndexIndex of what variable radius data item to edit
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
void NXOpen::Features::EdgeBlendBuilder::EditVariableRadiusData ( NXOpen::Edge edge,
int  vrIndex,
double  parameter,
const char *  radius,
NXOpen::Point smartPoint,
bool  isExternal 
)

Edit an edge blend variable radius data for an edge in the edge blend

Deprecated:
Deprecated in NX6.0.0.

Use Features::EdgeBlendBuilder::EditVariableRadiusDataNew instead.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to add stop short data on
vrIndexIndex of what variable radius data item to edit
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
void NXOpen::Features::EdgeBlendBuilder::EditVariableRadiusDataNew ( NXOpen::Edge edge,
int  vrIndex,
const NXString parameter,
const NXString radius,
NXOpen::Point smartPoint,
bool  isExternal 
)

Edit an edge blend variable radius data for an edge in the edge blend
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to add stop short data on
vrIndexIndex of what variable radius data item to edit
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
void NXOpen::Features::EdgeBlendBuilder::EditVariableRadiusDataNew ( NXOpen::Edge edge,
int  vrIndex,
const char *  parameter,
const char *  radius,
NXOpen::Point smartPoint,
bool  isExternal 
)

Edit an edge blend variable radius data for an edge in the edge blend
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to add stop short data on
vrIndexIndex of what variable radius data item to edit
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
void NXOpen::Features::EdgeBlendBuilder::EditVariableRadiusDataNew ( NXOpen::Edge edge,
int  vrIndex,
const NXString parameter,
const NXString radius,
NXOpen::Point smartPoint,
bool  isExternal,
bool  isArclength 
)

Edit an edge blend variable radius data for an edge in the edge blend
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to add stop short data on
vrIndexIndex of what variable radius data item to edit
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
isArclengthFlag indicating whether the parameter is arclength or not
void NXOpen::Features::EdgeBlendBuilder::EditVariableRadiusDataNew ( NXOpen::Edge edge,
int  vrIndex,
const char *  parameter,
const char *  radius,
NXOpen::Point smartPoint,
bool  isExternal,
bool  isArclength 
)

Edit an edge blend variable radius data for an edge in the edge blend
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to add stop short data on
vrIndexIndex of what variable radius data item to edit
parameterParameter location of point on the edge
radiusThe radius at this point on the edge.
smartPointSmart Point defining the location of this vr
isExternalFlag indicating whether this point is external to blend
isArclengthFlag indicating whether the parameter is arclength or not
void NXOpen::Features::EdgeBlendBuilder::GetChainset ( int  csIndex,
NXOpen::ScCollector **  collector,
NXOpen::Expression **  radius 
)

Get collector and radius for an edge blend chainset given the index of the chainset
Created in NX4.0.0.



License requirements : None

Parameters
csIndexIndex of chainset, indicating which chainset we are dealing with
collectorThe collector for this edge blend chainset
radiusThe radius of this chain set collector
void NXOpen::Features::EdgeBlendBuilder::GetChainsetAndSectionValue ( int  csIndex,
NXOpen::ScCollector **  collector,
NXOpen::Features::EdgeBlendBuilder::Section sectionType,
NXOpen::Features::EdgeBlendBuilder::Conic conicMethod,
NXOpen::Features::EdgeBlendBuilder::Rhotype rhoType,
NXOpen::Expression **  radius,
NXOpen::Expression **  centerValueTAG,
NXOpen::Expression **  rhoValueTAG 
)

Get collector, radius and section types for an edge blend chainset given the index of the chainset
Created in NX10.0.3.



License requirements : None

Parameters
csIndexIndex of chainset
collectorThe collector for this edge blend chainset
sectionTypeThe section type of this chain set collector
conicMethodThe conic method of this chain set collector
rhoTypeThe rho type of this chain set collector
radiusThe radius of this chain set collector
centerValueTAGThe conic center value expression of this chain set collector
rhoValueTAGThe conic rho value expression of this chain set collector
void NXOpen::Features::EdgeBlendBuilder::GetChainsetAndStatus ( int  csIndex,
NXOpen::ScCollector **  collector,
NXOpen::Expression **  radius,
bool *  isValid 
)

Get collector, radius and validity status for an edge blend chainset given the index of the chainset
Created in NX5.0.0.



License requirements : None

Parameters
csIndexIndex of chainset
collectorThe collector for this edge blend chainset
radiusThe radius of this chain set collector
isValidIs the chainset alive/valid ?
int NXOpen::Features::EdgeBlendBuilder::GetChainsetIndex ( NXOpen::ScCollector collector)

Get the index of edge blend chainset given the collector.

Returns
Index of chainset, indicating which chainset we are dealing with
Created in NX4.0.0.

License requirements : None
Parameters
collectorThe collector for this edge blend chainset
NXOpen::GeometricUtilities::BlendStopshortBuilder* NXOpen::Features::EdgeBlendBuilder::GetNewStopshortData ( int  ssIndex)

Get an edge blend stop short data for the index provided.

Returns
the Stopshort Data
Created in NX5.0.0.

License requirements : None
Parameters
ssIndexIndex of where stop short data item is created
int NXOpen::Features::EdgeBlendBuilder::GetNumberOfValidChainsets ( )

Get the number of valid chainsets.

Returns
Number of valid chainsets
Created in NX5.0.0.

License requirements : None
std::vector<NXOpen::Edge *> NXOpen::Features::EdgeBlendBuilder::GetSetbackData ( int  sbIndex,
std::vector< bool > &  fromStart,
std::vector< NXOpen::Expression * > &  distanceExp 
)

Get an edge blend setback data for the index provided.

Returns
Array of Edge collector tags that are used by the setback
Created in NX4.0.0.

License requirements : None
Parameters
sbIndexIndex of where setback data item was created.
fromStartif true, then the setback is defined at the start vertex. Otherwise, it is defined at the end vertex. There is one for each output edge.
distanceExpThe distance for the setback on each edge.
NXOpen::Expression* NXOpen::Features::EdgeBlendBuilder::GetStopshortData ( int  ssIndex,
NXOpen::Edge **  edge,
bool *  fromStart 
)

Get an edge blend stop short data for the index provided.

Returns
The distance for the stopshort on the edge.
Deprecated:
Deprecated in NX5.0.0. Use Features::EdgeBlendBuilder::GetNewStopshortData instead.


Created in NX4.0.0.

License requirements : None

Parameters
ssIndexIndex of where stop short data item is created.
edgeEdge the stop short data is on.
fromStartif true, then the stopshort is defined at the start vertex. Otherwise, it is defined at the end vertex.
std::vector<double> NXOpen::Features::EdgeBlendBuilder::GetVariableRadiusData ( NXOpen::Edge edge,
std::vector< NXOpen::Expression * > &  radiiExp,
std::vector< NXOpen::Point * > &  smartPoints,
std::vector< bool > &  isExternalFlagArray 
)

Get all the variable radii data for an edge in the edge blend.

Returns
Parameter locations of points on the edge
Deprecated:
Deprecated in NX6.0.0. Use Features::EdgeBlendBuilder::GetVariableRadiusDataNew instead.


Created in NX4.0.0.

License requirements : None

Parameters
edgeEdge to get all the varible radius data on
radiiExpThe radius value of each point on the edge
smartPointsArray of smart points defining variable radius
isExternalFlagArrayCorresponding is_external flags of the variable radius points
void NXOpen::Features::EdgeBlendBuilder::GetVariableRadiusDataNew ( NXOpen::Edge edge,
std::vector< NXOpen::Expression * > &  parameterExp,
std::vector< NXOpen::Expression * > &  radiiExp,
std::vector< NXOpen::Point * > &  smartPoints,
std::vector< bool > &  isExternalFlagArray 
)

Get all the variable radii data for an edge in the edge blend
Created in NX6.0.0.



License requirements : None

Parameters
edgeEdge to get all the varible radius data on
parameterExpParameter value of points on the edge
radiiExpThe radius value of each point on the edge
smartPointsArray of smart points defining variable radius
isExternalFlagArrayCorresponding is_external flags of the variable radius points
bool NXOpen::Features::EdgeBlendBuilder::LimitFailingAreas ( )

Returns the Limit Failing Areas option.


Created in NX8.5.0.

License requirements : None

NXOpen::GeometricUtilities::BlendLimitsData* NXOpen::Features::EdgeBlendBuilder::LimitsListData ( )

Returns the limits list
Created in NX5.0.0.



License requirements : None

bool NXOpen::Features::EdgeBlendBuilder::MoveSharpEdge ( )

Returns the Maintain blend and move sharp edges option.


Created in NX4.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Features::EdgeBlendBuilder::NonCliffEdges ( )

Returns the prohibited cliff edges for edge blend
Created in NX5.0.0.



License requirements : None

NXOpen::Features::EdgeBlendBuilder::Overlap NXOpen::Features::EdgeBlendBuilder::OverlapOption ( )

Returns the overlap resolution for edge blend
Created in NX4.0.0.



License requirements : None

bool NXOpen::Features::EdgeBlendBuilder::PatchComplexGeometryAreas ( )

Returns the Patch Areas option.


Created in NX8.5.0.

License requirements : None

void NXOpen::Features::EdgeBlendBuilder::RemoveChainset ( int  csIndex)

Delete an edge blend chainset from the edge blend.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
csIndexIndex of chainset, indicating which chainset we are dealing with
void NXOpen::Features::EdgeBlendBuilder::RemoveChainsetByCollector ( NXOpen::ScCollector collector)

Delete an edge blend chainset from the edge blend.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
collectorThe collector for this edge blend chainset
void NXOpen::Features::EdgeBlendBuilder::RemoveEdgeChainAndPointOnEdgeChainData ( )

Remove all existing edge chain data and point on edge chain data
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING")

void NXOpen::Features::EdgeBlendBuilder::RemoveNewStopshortData ( NXOpen::GeometricUtilities::BlendStopshortBuilder builder)

Remove an edge blend stop short corresponding to a BlendStopshortBuilder
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
builderthe Stopshort Data
bool NXOpen::Features::EdgeBlendBuilder::RemoveSelfIntersection ( )

Returns the Remove self-intersection option.


Created in NX4.0.0.

License requirements : None

void NXOpen::Features::EdgeBlendBuilder::RemoveSetbackData ( int  sbIndex)

Remove an edge blend setback data for an edge in the edge blend
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
sbIndexIndex of where setback data item was created
void NXOpen::Features::EdgeBlendBuilder::RemoveStopshortData ( NXOpen::Edge edge,
bool  fromStart 
)

Remove an edge blend stop short data for an edge

Deprecated:
Deprecated in NX5.0.0.

Use Features::EdgeBlendBuilder::RemoveNewStopshortData instead.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to remove the stopshort on
fromStartif true, then the stopshort is defined at the start vertex. Otherwise, it is defined at the end vertex.
void NXOpen::Features::EdgeBlendBuilder::RemoveStopshortData ( int  ssIndex)

Remove an edge blend stop short data for the index indicated

Deprecated:
Deprecated in NX5.0.0.

Use Features::EdgeBlendBuilder::RemoveNewStopshortData instead.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
ssIndexIndex of where stop short data item is created.
void NXOpen::Features::EdgeBlendBuilder::RemoveStopshortDataByType ( NXOpen::Edge edge,
bool  fromStart,
NXOpen::GeometricUtilities::BlendStopshortBuilder::Choices  type 
)

Remove the stop short from an edge, given its type and location
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to remove the stopshort on
fromStartif true, then the stopshort is defined at the start vertex. Otherwise, it is defined at the end vertex.
typethe type of the stopshort
void NXOpen::Features::EdgeBlendBuilder::RemoveVariableRadiusData ( NXOpen::Edge edge,
double  parameter 
)

Remove variable radius data on an edge by the parameter value of the point on the edge
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to add stop short data on
parameterParameter location of point on the edge
void NXOpen::Features::EdgeBlendBuilder::RemoveVariableRadiusData ( NXOpen::Edge edge)

Remove all variable radius datas on an edge
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to remove all variable radius datas from
void NXOpen::Features::EdgeBlendBuilder::RemoveVariableRadiusDataByIndex ( NXOpen::Edge edge,
int  index 
)

Remove variable radius data on an edge by the index into the point array on the edge
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
edgeEdge to remove variable radius data on
indexIndex into point array on the edge
bool NXOpen::Features::EdgeBlendBuilder::RollOntoEdge ( )

Returns the Roll onto edges option.


Created in NX4.0.0.

License requirements : None

bool NXOpen::Features::EdgeBlendBuilder::RollOverSmoothEdge ( )

Returns the Roll over smooth edges option.


Created in NX4.0.0.

License requirements : None

bool NXOpen::Features::EdgeBlendBuilder::SegmentBlendFaces ( )

Returns the Segment blend to match face segments option
Created in NX10.0.0.



License requirements : None

void NXOpen::Features::EdgeBlendBuilder::SetAllInstancesOption ( bool  optionValue)

Sets the blend all instances option.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
optionValueoption value
NXOpen::Features::EdgeBlendBuilder::Setback NXOpen::Features::EdgeBlendBuilder::SetbackOption ( )

Returns the setback option for edge blend
Created in NX4.0.0.



License requirements : None

void NXOpen::Features::EdgeBlendBuilder::SetBlendFaceContinuity ( NXOpen::Features::EdgeBlendBuilder::FaceContinuity  optionValue)

Sets the Blend Face Continuity option
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
optionValueoptionvalue
void NXOpen::Features::EdgeBlendBuilder::SetBlendOrder ( NXOpen::Features::EdgeBlendBuilder::OrderOfBlending  blendOrder)

Sets the order of blending for edge blend
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
blendOrderblend order
void NXOpen::Features::EdgeBlendBuilder::SetCliffEdges ( NXOpen::ScCollector cliffEdgeCollector)

Sets the forced cliff edges for edge blend
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
cliffEdgeCollectorThe cliff edge collector
void NXOpen::Features::EdgeBlendBuilder::SetConvexConcaveY ( bool  optionValue)

Sets the Special blend at convex / concave Y option.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
optionValueoption value
void NXOpen::Features::EdgeBlendBuilder::SetLimitFailingAreas ( bool  optionValue)

Sets the Limit Failing Areas option.


Created in NX8.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
optionValueoption value
void NXOpen::Features::EdgeBlendBuilder::SetMoveSharpEdge ( bool  optionValue)

Sets the Maintain blend and move sharp edges option.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
optionValueoption value
void NXOpen::Features::EdgeBlendBuilder::SetNonCliffEdges ( NXOpen::ScCollector nonCliffEdgeCollector)

Sets the prohibited cliff edges for edge blend
Created in NX5.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
nonCliffEdgeCollectorThe non cliff edge collector
void NXOpen::Features::EdgeBlendBuilder::SetOverlapOption ( NXOpen::Features::EdgeBlendBuilder::Overlap  overlapOption)

Sets the overlap resolution for edge blend
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
overlapOptionoverlap option
void NXOpen::Features::EdgeBlendBuilder::SetPatchComplexGeometryAreas ( bool  optionValue)

Sets the Patch Areas option.


Created in NX8.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
optionValueoption value
void NXOpen::Features::EdgeBlendBuilder::SetRemoveSelfIntersection ( bool  optionValue)

Sets the Remove self-intersection option.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
optionValueoption value
void NXOpen::Features::EdgeBlendBuilder::SetRollOntoEdge ( bool  optionValue)

Sets the Roll onto edges option.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
optionValueoption value
void NXOpen::Features::EdgeBlendBuilder::SetRollOverSmoothEdge ( bool  optionValue)

Sets the Roll over smooth edges option.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
optionValueoption value
void NXOpen::Features::EdgeBlendBuilder::SetSegmentBlendFaces ( bool  optionValue)

Sets the Segment blend to match face segments option
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
optionValueoptionvalue
void NXOpen::Features::EdgeBlendBuilder::SetSetbackOption ( NXOpen::Features::EdgeBlendBuilder::Setback  setbackOption)

Sets the setback option for edge blend
Created in NX4.0.0.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
setbackOptionsetback option
void NXOpen::Features::EdgeBlendBuilder::SetTolerance ( double  tolerance)

Sets the tolerance of a variable blend.


Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
tolerancetolerance
void NXOpen::Features::EdgeBlendBuilder::SetTrimmingOption ( bool  optionValue)

Sets the trimming option.


Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
optionValueoption value
void NXOpen::Features::EdgeBlendBuilder::SetZeroSlopeRadiusFunctionAtChainEnds ( bool  optionValue)

Sets the zero slope radius function at chain ends option
Created in NX10.0.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
optionValueoptionvalue
double NXOpen::Features::EdgeBlendBuilder::Tolerance ( )

Returns the tolerance of a variable blend.


Created in NX4.0.0.

License requirements : None

bool NXOpen::Features::EdgeBlendBuilder::TrimmingOption ( )

Returns the trimming option.


Created in NX5.0.0.

License requirements : None

bool NXOpen::Features::EdgeBlendBuilder::ZeroSlopeRadiusFunctionAtChainEnds ( )

Returns the zero slope radius function at chain ends option
Created in NX10.0.1.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.